Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update Task partially

Prev Next
Patch
/tasks/{id}/

Operation is used to update specific fields in existing task.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of Task to update

Body parameters

Task attributes and values to be updated

object

Task

endDate
string (date)

Task end date

name
string

Task name

network
integer

Network SAttribute id

plan
boolean

Is plan

repeatParent
integer

Parent task id

repeatable
integer

Info if task is repeatable

startDate
string (date)

Task start date

subregion
integer Required

Related Subregion id

taskCategory
integer Required

Related Category id

taskLocation
string (ewkt) Required

Task geographical location

Responses
200

Object was updated successfully

object

Task

automaticRepeat
integer

If task is repeatable automatically

currentState
integer

Id of current task state

endDate
string (date)

Task end date

executionCycle
integer

Execution cycle

id
integer

Primary key

name
string

Task name

network
integer

Network SAttribute id

plan
boolean

Is plan

repeatOrderNum
integer

Running number for repeatable tasks

repeatParent
integer

Parent task id

repeatable
integer

Info if task is repeatable

startDate
string (date)

Task start date

subregion
integer

Related Subregion id

taskCategory
integer

Related Category id

taskIdentifier
string

Task identifier

taskLocation
string (ewkt)

Task geographical location

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error